import type { Attributes } from '../sdk/AttributesSingleton/types';
import { EventMapper } from '../sdk/EventMappers/EventMapper';
import type { UserInfo } from '../sdk/UserInfoSingleton/types';
import type { LogEvent, LogEventMapper, NativeLog, NativeLogWithError, RawLog, RawLogWithError } from './types';
export declare const formatLogEventToNativeLog: (logEvent: LogEvent) => NativeLog | NativeLogWithError;
export declare const formatRawLogToNativeEvent: (rawLog: RawLog | RawLogWithError) => NativeLog | NativeLogWithError;
export declare const formatRawLogToLogEvent: (rawLog: RawLog | RawLogWithError, additionalInformation: {
    userInfo: UserInfo;
    attributes: Attributes;
}) => LogEvent;
export declare const generateEventMapper: (logEventMapper: LogEventMapper | undefined) => EventMapper<RawLog | RawLogWithError, LogEvent, NativeLog | NativeLogWithError>;
