import type { AdditionalEventDataForMapper } from '../../sdk/EventMappers/EventMapper';
import { EventMapper } from '../../sdk/EventMappers/EventMapper';
import type { ErrorSource } from '../types';
declare type RawError = {
    message: string;
    source: ErrorSource;
    stacktrace: string;
    context: object;
    timestampMs: number;
};
declare type ErrorEvent = RawError & AdditionalEventDataForMapper;
declare type NativeError = {
    message: string;
    source: ErrorSource;
    stacktrace: string;
    context: object;
    timestampMs: number;
};
export declare type ErrorEventMapper = (event: ErrorEvent) => ErrorEvent | null;
export declare const generateErrorEventMapper: (eventMapper: ErrorEventMapper | undefined) => EventMapper<RawError, ErrorEvent, NativeError>;
export {};
