import type { AdditionalEventDataForMapper } from '../../sdk/EventMappers/EventMapper';
import { EventMapper } from '../../sdk/EventMappers/EventMapper';
import type { ResourceKind } from '../types';
declare type RawResource = {
    readonly key: string;
    readonly statusCode: number;
    readonly kind: ResourceKind;
    readonly size: number;
    context: object;
    readonly timestampMs: number;
    resourceContext: XMLHttpRequest | undefined;
};
declare type ResourceEvent = RawResource & AdditionalEventDataForMapper;
declare type NativeResource = {
    key: string;
    statusCode: number;
    kind: ResourceKind;
    size: number;
    context: object;
    timestampMs: number;
};
export declare type ResourceEventMapper = (event: ResourceEvent) => ResourceEvent | null;
export declare const generateResourceEventMapper: (eventMapper: ResourceEventMapper | undefined) => EventMapper<RawResource, ResourceEvent, NativeResource>;
export {};
