/**
 * Provides RUM auto-instrumentation feature to track errors as RUM events.
 */
export declare class DdRumErrorTracking {
    private static isTracking;
    private static isInDefaultErrorHandler;
    private static defaultErrorHandler;
    private static defaultConsoleError;
    /**
     * Starts tracking errors and sends a RUM Error event every time an error is detected.
     */
    static startTracking(): void;
    static onGlobalError: (error: any, isFatal?: boolean) => void;
    static onConsoleError: (...params: unknown[]) => void;
    private static reportError;
}
