/**
 * Provides RUM auto-instrumentation feature to track user interaction as RUM events.
 * For now we are only covering the "onPress" events.
 */
export declare class DdRumUserInteractionTracking {
    private static isTracking;
    private static eventsInterceptor;
    private static originalCreateElement;
    private static originalMemo;
    private static originalJsx;
    private static patchCreateElementFunction;
    /**
     * Starts tracking user interactions and sends a RUM Action event every time a new interaction was detected.
     * Please note that we are only considering as valid - for - tracking only the user interactions that have
     * a visible output (either an UI state change or a Resource request)
     */
    static startTracking({ actionNameAttribute }?: {
        actionNameAttribute?: string;
    }): void;
    static stopTracking(): void;
}
