import type { FirstPartyHost } from '../../types';
/**
 * Provides RUM auto-instrumentation feature to track resources (fetch, XHR, axios) as RUM events.
 */
export declare class DdRumResourceTracking {
    private static isTracking;
    private static requestProxy;
    /**
     * Starts tracking resources and sends a RUM Resource event every time a network request is detected.
     */
    static startTracking({ tracingSamplingRate, firstPartyHosts }: {
        tracingSamplingRate: number;
        firstPartyHosts: FirstPartyHost[];
    }): void;
    static stopTracking(): void;
}
