import type { RequestProxyOptions } from '../interfaces/RequestProxy';
import { RequestProxy } from '../interfaces/RequestProxy';
import type { ResourceReporter } from './DatadogRumResource/ResourceReporter';
interface XHRProxyProviders {
    xhrType: typeof XMLHttpRequest;
    resourceReporter: ResourceReporter;
}
/**
 * Proxies XMLHttpRequest to track resources.
 */
export declare class XHRProxy extends RequestProxy {
    private providers;
    private static originalXhrOpen;
    private static originalXhrSend;
    private static originalXhrSetRequestHeader;
    constructor(providers: XHRProxyProviders);
    onTrackingStart: (context: RequestProxyOptions) => void;
    onTrackingStop: () => void;
}
export {};
