import type { ResourceKind } from '../../../../types';
import type { DdRumResourceTracingAttributes } from '../../distributedTracing/distributedTracing';
export interface RUMResource {
    key: string;
    request: {
        method: string;
        url: string;
        kind: ResourceKind;
    };
    tracingAttributes: DdRumResourceTracingAttributes;
    graphqlAttributes?: DdRumResourceGraphqlAttributes;
    response: {
        statusCode: number;
        size: number;
    };
    timings: {
        startTime: number;
        stopTime: number;
        responseStartTime?: number;
    };
    resourceContext?: XMLHttpRequest;
}
export declare type DdRumResourceGraphqlAttributes = {
    operationType?: string;
    operationName?: string;
    variables?: string;
};
