import type { TurboModule } from 'react-native';
/**
 * Do not import this Spec directly, use DdNativeTraceType instead.
 */
export interface Spec extends TurboModule {
    readonly getConstants: () => {};
    /**
     * Start a span, and returns a unique identifier for the span.
     * @param operation: The operation name of the span.
     * @param context: The additional context to send.
     * @param timestampMs: The timestamp when the operation started (in milliseconds). If not provided, current timestamp will be used.
     */
    startSpan(operation: string, context: Object, timestampMs: number): Promise<string>;
    /**
     * Finish a started span.
     * @param spanId: The unique identifier of the span.
     * @param context: The additional context to send.
     * @param timestampMs: The timestamp when the operation stopped (in milliseconds). If not provided, current timestamp will be used.
     */
    finishSpan(spanId: string, context: Object, timestampMs: number): Promise<void>;
}
declare const _default: Spec | null;
export default _default;
